org.wso2.carbon.mediation.initializer.handler

## Class SynapseExternalPropertyConfigurator

- java.lang.Object
- - org.apache.synapse.AbstractSynapseHandler
  - - org.wso2.carbon.mediation.initializer.handler.SynapseExternalPropertyConfigurator

- All Implemented Interfaces:
    org.apache.synapse.SynapseHandler

      public class SynapseExternalPropertyConfigurator
      extends org.apache.synapse.AbstractSynapseHandler

  Handler to set external properties to the synapse message context

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynapseExternalPropertyConfigurator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleRequestInFlow(org.apache.synapse.MessageContext synCtx)`
    `boolean` | `handleRequestOutFlow(org.apache.synapse.MessageContext synCtx)`
    `boolean` | `handleResponseInFlow(org.apache.synapse.MessageContext synCtx)`
    `boolean` | `handleResponseOutFlow(org.apache.synapse.MessageContext synCtx)`

    - ### Methods inherited from class org.apache.synapse.AbstractSynapseHandler

      `addProperty, getName, getProperties, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseExternalPropertyConfigurator

          public SynapseExternalPropertyConfigurator()

  - ### Method Detail

    - #### handleRequestInFlow

          public boolean handleRequestInFlow(org.apache.synapse.MessageContext synCtx)

    - #### handleRequestOutFlow

          public boolean handleRequestOutFlow(org.apache.synapse.MessageContext synCtx)

    - #### handleResponseInFlow

          public boolean handleResponseInFlow(org.apache.synapse.MessageContext synCtx)

    - #### handleResponseOutFlow

          public boolean handleResponseOutFlow(org.apache.synapse.MessageContext synCtx)

Copyright © 2019 WSO2. All rights reserved.